package com.sunxung.factoring.entity.financing.contract;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * <p>
 * 合同-放款条件与放款条件设定中间表
 * </p>
 *
 * @author liutao
 * @since 2024-02-01
 */
@TableName("contract_loan_condition_setting_rel")
public class ContractLoanConditionSettingRel {

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 额度支用-放款条件ID
     */
    @TableField("review_loan_condition_id")
    private Long reviewLoanConditionId;

    /**
     * 合同-放款条件设定ID
     */
    @TableField("contract_loan_condition_setting_id")
    private Long contractLoanConditionSettingId;

    public Long getReviewLoanConditionId() {
        return reviewLoanConditionId;
    }

    public void setReviewLoanConditionId(Long reviewLoanConditionId) {
        this.reviewLoanConditionId = reviewLoanConditionId;
    }

    public Long getContractLoanConditionSettingId() {
        return contractLoanConditionSettingId;
    }

    public void setContractLoanConditionSettingId(Long contractLoanConditionSettingId) {
        this.contractLoanConditionSettingId = contractLoanConditionSettingId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
}
